"use strict";

var _interopRequireWildcard = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireWildcard").default;
var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = PrintConfigPanel;
var _jsxRuntime = /*#__PURE__*/require("react/jsx-runtime");
var _Button = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/Button"));
var _DialogActions = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/DialogActions"));
var _DialogContent = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/DialogContent"));
var _DialogTitle = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/DialogTitle"));
var _Grid = /*#__PURE__*/require("@sinoui/core/Grid");
var _InputAdornment = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/InputAdornment"));
var _Radio = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/Radio"));
var _RadioGroup = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/RadioGroup"));
var _Select = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("@sinoui/core/Select"));
var _TextInput = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/TextInput"));
var _rxCoreForm = /*#__PURE__*/require("@sinoui/rx-core-form");
var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));
var _constants = /*#__PURE__*/require("../../constants");
var Seporate = /*#__PURE__*/(0, _styledComponents.default)(_Grid.Row).withConfig({
  displayName: "PrintConfigPanel__Seporate",
  componentId: "sc-1xsvq0k-0"
})(["border-bottom:1px solid ", ";margin-bottom:8px;color:", ";"], function (_ref) {
  var theme = _ref.theme;
  return theme.palette.text.disabled;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.palette.text.primary;
});
/**
 * 打印设置表单
 *
 * @param param0
 * @param props
 * @returns
 */
function PrintConfigPanel(props) {
  var formState = props.formState,
    onOk = props.onOk,
    onClose = props.onClose;
  return (0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [(0, _jsxRuntime.jsx)(_DialogTitle.default, {
      children: "\u6253\u5370\u8BBE\u7F6E"
    }), (0, _jsxRuntime.jsx)(_DialogContent.default, {
      children: (0, _jsxRuntime.jsxs)(_rxCoreForm.Form, {
        formState: formState,
        dense: true,
        variant: "outlined",
        children: [(0, _jsxRuntime.jsx)(Seporate, {
          children: "\u9875\u9762\u8BBE\u7F6E"
        }), (0, _jsxRuntime.jsx)(_Grid.Row, {
          children: (0, _jsxRuntime.jsx)(_Grid.Column, {
            children: (0, _jsxRuntime.jsx)(_rxCoreForm.FormItem, {
              name: "pageConfig.pageSize",
              label: "\u7EB8\u5F20\u5927\u5C0F",
              children: (0, _jsxRuntime.jsx)(_Select.default, {
                allowClear: false,
                children: _constants.PAGE_SIZES.map(function (size) {
                  return (0, _jsxRuntime.jsx)(_Select.Option, {
                    value: size,
                    children: size
                  }, size);
                })
              })
            })
          })
        }), (0, _jsxRuntime.jsx)(_Grid.Row, {
          children: (0, _jsxRuntime.jsx)(_Grid.Column, {
            children: (0, _jsxRuntime.jsx)(_rxCoreForm.FormItem, {
              name: "pageConfig.pageDir",
              label: "\u7EB8\u5F20\u65B9\u5411",
              children: (0, _jsxRuntime.jsxs)(_Select.default, {
                allowClear: false,
                children: [(0, _jsxRuntime.jsx)(_Select.Option, {
                  value: "\u7EB5\u5411",
                  children: "\u7EB5\u5411"
                }), (0, _jsxRuntime.jsx)(_Select.Option, {
                  value: "\u6A2A\u5411",
                  children: "\u6A2A\u5411"
                })]
              })
            })
          })
        }), (0, _jsxRuntime.jsxs)(_Grid.Row, {
          gutter: 16,
          gutterType: "between",
          children: [(0, _jsxRuntime.jsx)(_Grid.Column, {
            xs: 12,
            children: (0, _jsxRuntime.jsx)(_rxCoreForm.FormItem, {
              name: "pageConfig.pagePaddingTop",
              label: "\u4E0A\u8FB9\u8DDD",
              children: (0, _jsxRuntime.jsx)(_TextInput.default, {
                endAdornment: (0, _jsxRuntime.jsx)(_InputAdornment.default, {
                  position: "end",
                  children: "mm"
                })
              })
            })
          }), (0, _jsxRuntime.jsx)(_Grid.Column, {
            xs: 12,
            children: (0, _jsxRuntime.jsx)(_rxCoreForm.FormItem, {
              name: "pageConfig.pagePaddingBottom",
              label: "\u4E0B\u8FB9\u8DDD",
              children: (0, _jsxRuntime.jsx)(_TextInput.default, {
                endAdornment: (0, _jsxRuntime.jsx)(_InputAdornment.default, {
                  position: "end",
                  children: "mm"
                })
              })
            })
          }), (0, _jsxRuntime.jsx)(_Grid.Column, {
            xs: 12,
            children: (0, _jsxRuntime.jsx)(_rxCoreForm.FormItem, {
              name: "pageConfig.pagePaddingLeft",
              label: "\u5DE6\u8FB9\u8DDD",
              children: (0, _jsxRuntime.jsx)(_TextInput.default, {
                endAdornment: (0, _jsxRuntime.jsx)(_InputAdornment.default, {
                  position: "end",
                  children: "mm"
                })
              })
            })
          }), (0, _jsxRuntime.jsx)(_Grid.Column, {
            xs: 12,
            children: (0, _jsxRuntime.jsx)(_rxCoreForm.FormItem, {
              name: "pageConfig.pagePaddingRight",
              label: "\u53F3\u8FB9\u8DDD",
              children: (0, _jsxRuntime.jsx)(_TextInput.default, {
                endAdornment: (0, _jsxRuntime.jsx)(_InputAdornment.default, {
                  position: "end",
                  children: "mm"
                })
              })
            })
          })]
        }), (0, _jsxRuntime.jsx)(Seporate, {
          children: "\u5185\u5BB9\u8BBE\u7F6E"
        }), (0, _jsxRuntime.jsxs)(_Grid.Row, {
          gutter: 16,
          gutterType: "between",
          children: [(0, _jsxRuntime.jsx)(_Grid.Column, {
            xs: 12,
            children: (0, _jsxRuntime.jsx)(_rxCoreForm.FormItem, {
              name: "contentConfig.isShowDefaultTitle",
              label: "\u662F\u5426\u663E\u793A\u9ED8\u8BA4\u7684\u8868\u5355\u6807\u9898",
              children: (0, _jsxRuntime.jsxs)(_RadioGroup.default, {
                children: [(0, _jsxRuntime.jsx)(_Radio.default, {
                  value: "1",
                  children: "\u662F"
                }), (0, _jsxRuntime.jsx)(_Radio.default, {
                  value: "0",
                  children: "\u5426"
                })]
              })
            })
          }), (0, _jsxRuntime.jsx)(_Grid.Column, {
            xs: 12,
            children: (0, _jsxRuntime.jsx)(_rxCoreForm.FormItem, {
              name: "contentConfig.isAutoHeight",
              label: "\u884C\u9AD8\u662F\u5426\u6839\u636E\u5185\u5BB9\u81EA\u52A8\u8BA1\u7B97",
              children: (0, _jsxRuntime.jsxs)(_RadioGroup.default, {
                children: [(0, _jsxRuntime.jsx)(_Radio.default, {
                  value: "1",
                  children: "\u662F"
                }), (0, _jsxRuntime.jsx)(_Radio.default, {
                  value: "0",
                  children: "\u5426"
                })]
              })
            })
          })]
        })]
      })
    }), (0, _jsxRuntime.jsxs)(_DialogActions.default, {
      children: [(0, _jsxRuntime.jsx)(_Button.default, {
        onClick: onClose,
        children: "\u53D6\u6D88"
      }), (0, _jsxRuntime.jsx)(_Button.default, {
        raised: true,
        onClick: onOk,
        children: "\u786E\u5B9A"
      })]
    })]
  });
}