import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import IconButton from '@sinoui/core/IconButton';
import Popper from '@sinoui/core/Popper';
import useClickAwayListener from '@sinoui/core/useClickAwayListener';
import BorderAll from '@sinoui/icons/BorderAll';
import matches from 'dom-helpers/matches';
import React, { useRef, useState } from 'react';
import styled from 'styled-components';
import { SECOND_LEVEL_MENU } from '../../constants';
import BorderConfigPanel from './BorderConfigPanel';
const PickerPanelWrapper = styled.div `
  position: absolute;
  z-index: 2;
`;
function getParentElement(element, selector) {
    let parent = element.parentElement;
    while (parent &&
        parent !== document.body &&
        parent !== document &&
        parent !== window) {
        if (matches(parent, selector)) {
            return parent;
        }
        parent = parent.parentElement;
    }
    return null;
}
function BorderButton({ selectedRange, disabled }) {
    const [open, setOpen] = useState(false);
    const anchorEl = useRef(null);
    const popperRef = useRef(null);
    const contentRef = useRef(null);
    const [borderType, setBorderType] = useState();
    // 边框线条和颜色的设置完成之后保存设置，在下次设置边框时直接使用之前的配置信息
    const [borderStyle, setBorderStyle] = useState('thin');
    const [borderColor, setBorderColor] = useState('#000');
    const onRequestClose = () => {
        setOpen(false);
        setBorderType(undefined);
    };
    useClickAwayListener([popperRef, contentRef], (event) => {
        const { target } = event;
        const parentElement = getParentElement(target, `.${SECOND_LEVEL_MENU}`);
        if (!parentElement) {
            onRequestClose();
        }
    });
    return (_jsxs(_Fragment, { children: [_jsx(IconButton, { dense: true, ref: anchorEl, onClick: () => setOpen(true), disabled: disabled, children: _jsx(BorderAll, {}) }), _jsx(Popper, { open: open, referenceElement: anchorEl, ref: popperRef, placement: "bottom-start", children: _jsx(PickerPanelWrapper, { children: _jsx(BorderConfigPanel, { selectedRange: selectedRange, borderType: borderType, setBorderType: setBorderType, borderStyle: borderStyle, setBorderStyle: setBorderStyle, borderColor: borderColor, setBorderColor: setBorderColor }) }) })] }));
}
export default React.memo(BorderButton);
