import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import FormatBold from '@sinoui/icons/FormatBold';
import { useDispatch, useSelector } from 'react-redux';
import setCellTextStyleHelper from '../../utils/setCellTextStyleHelper';
import CustomEditor from '../../utils/CustomEditor';
import DenseIconButton from './DenseIconButton';
import useSingleStyleActive from './useSingleStyleState';
/**
 * 字体加粗按钮
 */
function FormatBoldButton({ editor = {}, selectedRange, editingCell, }) {
    const dispatch = useDispatch();
    const rows = useSelector((state) => state.present.rows);
    const merges = useSelector((state) => state.present.merges);
    const [isBold, setIsBold] = useSingleStyleActive('bold', selectedRange, CustomEditor.isBoldMarkActive);
    const handleMouseDown = (event) => {
        event.preventDefault();
        if (!editingCell) {
            setIsBold(!isBold);
        }
        setCellTextStyleHelper(editor, dispatch, 'bold', '', rows, merges, selectedRange, editingCell);
    };
    return (_jsx(DenseIconButton, { dense: true, onMouseDown: handleMouseDown, isActive: isBold, children: _jsx(FormatBold, {}) }));
}
export default React.memo(FormatBoldButton);
