/**
 * 绘制选中区域
 * @param startPos 开始单元格位置
 * @param endPos 结束单元格位置
 * @returns
 */
export default function drawRange(startPos, endPos) {
    const selectRange = document.querySelector('.sinoui-table-select-range');
    let startCell = document.getElementById(`${startPos[0]}-${startPos[1]}`);
    let endCell = document.getElementById(`${endPos[0]}-${endPos[1]}`);
    // 开始或结束的单元格不存在说明单元格是被合并的，改为使用表头或列头的单元格位置进行计算
    if (!startCell) {
        const startRowHeader = document.getElementById(`table-row-header-${startPos[0]}`);
        const startColHeader = document.getElementById(`table-col-header-${startPos[1]}`);
        startCell = {
            offsetLeft: startColHeader.offsetLeft,
            offsetTop: startRowHeader.offsetTop,
        };
    }
    if (!endCell) {
        const endRowHeader = document.getElementById(`table-row-header-${endPos[0]}`);
        const endColHeader = document.getElementById(`table-col-header-${endPos[1]}`);
        endCell = {
            offsetLeft: endColHeader.offsetLeft,
            offsetTop: endRowHeader.offsetTop,
            offsetWidth: endColHeader.offsetWidth,
            offsetHeight: endRowHeader.offsetHeight,
        };
    }
    const width = endCell.offsetLeft + endCell.offsetWidth - startCell.offsetLeft;
    const height = endCell.offsetTop + endCell.offsetHeight - startCell.offsetTop;
    selectRange.style.display = 'block';
    selectRange.style.width = `${width}px`;
    selectRange.style.height = `${height}px`;
    selectRange.style.left = `${startCell.offsetLeft}px`;
    selectRange.style.top = `${startCell.offsetTop}px`;
}
