"use strict";

var _interopRequireWildcard = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireWildcard").default;
var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _slicedToArray2 = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@babel/runtime/helpers/slicedToArray"));
var _jsxRuntime = /*#__PURE__*/require("react/jsx-runtime");
var _IconButton = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/IconButton"));
var _Popper = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/Popper"));
var _useClickAwayListener = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/useClickAwayListener"));
var _BorderAll = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/icons/BorderAll"));
var _matches = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("dom-helpers/matches"));
var _react = /*#__PURE__*/_interopRequireWildcard( /*#__PURE__*/require("react"));
var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));
var _constants = /*#__PURE__*/require("../../constants");
var _BorderConfigPanel = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("./BorderConfigPanel"));
var PickerPanelWrapper = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "BorderButton__PickerPanelWrapper",
  componentId: "sc-687fbg-0"
})(["position:absolute;z-index:2;"]);
function getParentElement(element, selector) {
  var parent = element.parentElement;
  while (parent && parent !== document.body && parent !== document && parent !== window) {
    if ((0, _matches.default)(parent, selector)) {
      return parent;
    }
    parent = parent.parentElement;
  }
  return null;
}
function BorderButton(_ref) {
  var selectedRange = _ref.selectedRange,
    disabled = _ref.disabled;
  var _useState = (0, _react.useState)(false),
    _useState2 = (0, _slicedToArray2.default)(_useState, 2),
    open = _useState2[0],
    setOpen = _useState2[1];
  var anchorEl = (0, _react.useRef)(null);
  var popperRef = (0, _react.useRef)(null);
  var contentRef = (0, _react.useRef)(null);
  var _useState3 = (0, _react.useState)(),
    _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
    borderType = _useState4[0],
    setBorderType = _useState4[1];
  // 边框线条和颜色的设置完成之后保存设置，在下次设置边框时直接使用之前的配置信息
  var _useState5 = (0, _react.useState)('thin'),
    _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
    borderStyle = _useState6[0],
    setBorderStyle = _useState6[1];
  var _useState7 = (0, _react.useState)('#000'),
    _useState8 = (0, _slicedToArray2.default)(_useState7, 2),
    borderColor = _useState8[0],
    setBorderColor = _useState8[1];
  var onRequestClose = function onRequestClose() {
    setOpen(false);
    setBorderType(undefined);
  };
  (0, _useClickAwayListener.default)([popperRef, contentRef], function (event) {
    var target = event.target;
    var parentElement = getParentElement(target, ".".concat(_constants.SECOND_LEVEL_MENU));
    if (!parentElement) {
      onRequestClose();
    }
  });
  return (0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [(0, _jsxRuntime.jsx)(_IconButton.default, {
      dense: true,
      ref: anchorEl,
      onClick: function onClick() {
        return setOpen(true);
      },
      disabled: disabled,
      children: (0, _jsxRuntime.jsx)(_BorderAll.default, {})
    }), (0, _jsxRuntime.jsx)(_Popper.default, {
      open: open,
      referenceElement: anchorEl,
      ref: popperRef,
      placement: "bottom-start",
      children: (0, _jsxRuntime.jsx)(PickerPanelWrapper, {
        children: (0, _jsxRuntime.jsx)(_BorderConfigPanel.default, {
          selectedRange: selectedRange,
          borderType: borderType,
          setBorderType: setBorderType,
          borderStyle: borderStyle,
          setBorderStyle: setBorderStyle,
          borderColor: borderColor,
          setBorderColor: setBorderColor
        })
      })
    })]
  });
}
var _default = /*#__PURE__*/_react.default.memo(BorderButton);
exports.default = _default;