"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RedoButton;
var _jsxRuntime = /*#__PURE__*/require("react/jsx-runtime");
var _IconButton = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/IconButton"));
var _Redo = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/icons/Redo"));
var _react = /*#__PURE__*/require("react");
var _reactRedux = /*#__PURE__*/require("react-redux");
var _reduxUndo = /*#__PURE__*/require("redux-undo");
/**
 * 恢复按钮，与撤销按钮结对使用
 *
 * @returns
 */
function RedoButton() {
  var dispatch = (0, _reactRedux.useDispatch)();
  var future = (0, _reactRedux.useSelector)(function (state) {
    return state.future;
  });
  var handleClick = function handleClick() {
    dispatch(_reduxUndo.ActionCreators.redo());
  };
  var disabled = (0, _react.useMemo)(function () {
    return future.length === 0;
  }, [future.length]);
  return (0, _jsxRuntime.jsx)(_IconButton.default, {
    style: {
      borderRadius: 0
    },
    dense: true,
    onClick: handleClick,
    disabled: disabled,
    children: (0, _jsxRuntime.jsx)(_Redo.default, {})
  });
}