"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = validateSubForm;
var _globalUi = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoform/global-ui"));
var _slate = /*#__PURE__*/require("slate");
var _checkCellMergedInRow = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("../reducer/helper/checkCellMergedInRow"));
var _checkSubFieldInRow = /*#__PURE__*/require("../reducer/helper/checkSubFieldInRow");
/**
 * 校验拖拽时子表单是否符合规范
 * @param state
 * @param rowIdx
 * @param colIdx
 * @param cellValue
 * @param editor
 * @param fields
 * @returns
 */
function validateSubForm(state, rowIdx, colIdx, cellValue, editor, fields) {
  var tokens = (0, _checkSubFieldInRow.getAllCodeTokensInRow)(state, [rowIdx, colIdx], cellValue);
  var subFields = (0, _checkSubFieldInRow.getAllSubFieldFromToken)(tokens, fields);
  // 公式涉及到子表单的校验
  // subFields.size > 1: 同行出现不同子表单的表单项
  // checkCellMergedInRow(rowIdx, state.merges): 子表单项所在行存在合并单元格的合并行超出本行
  if (subFields.size > 0) {
    var flag = subFields.size > 1 || (0, _checkCellMergedInRow.default)(rowIdx, state.merges);
    if (flag) {
      var text = subFields.size > 1 ? '同一行单元格的表达式中不能出现不同子表单的表单项' : '子表单项所在行存在合并单元格的合并行超出当前行';
      _globalUi.default.message.error(text);
      // 如果存在冲突将焦点重置，否则焦点位置信息错误重新编辑可能会报错
      var selectRange = {
        anchor: {
          path: [0, 0],
          offset: 0
        },
        focus: {
          path: [0, 0],
          offset: 0
        }
      };
      _slate.Transforms.setSelection(editor, selectRange);
      return false;
    }
  }
  return true;
}