import { CustomEditor } from '../dev';
import { CellPos, CellRange } from '../reducer';
export interface PrintLayoutProps {
    /**
     * 当前编辑的单元格
     */
    editingCell?: CellPos;
    /**
     * 设置当前编辑的单元格
     */
    setEditingCell: (pos?: CellPos) => void;
    /**
     * 计算选中单元格的区域，用于鼠标的move事件
     */
    calcCellRange: (startPos: CellPos, endPos: CellPos, merges?: CellRange[]) => void;
    /**
     * 当前单元格选中区域
     */
    selectedRange?: CellRange;
    /**
     * 设置选中区域
     */
    setSelectedRange: (range?: CellRange) => void;
    /**
     * 编辑器
     */
    editor?: CustomEditor;
    /**
     * 设置编辑器
     */
    setEditor: (editor: CustomEditor) => void;
    /**
     * 右键菜单是否显示
     */
    contextMenuShow: boolean;
    /**
     * 设置右键菜单的显示条件
     */
    setContextMenuShow: (flag: boolean) => void;
    /**
     * 复制或剪切的状态
     */
    copyOrCut?: 'copy' | 'cut';
    /**
     * 设置复制或剪切的状态
     */
    setCopyOrCut: (type: 'copy' | 'cut') => void;
    /**
     * 复制或剪切的选中区域
     */
    cellRangeForCopyOrCut?: CellRange;
    /**
     * 设置复制或剪切的选中区域
     */
    setCellRangeForCopyOrCut: (range?: CellRange) => void;
}
export default function usePrintLayout(): PrintLayoutProps;
