import { CellRange, CellPos, State } from '../types';
/**
 * 校验复制的区域粘贴到目标区域之后是否超出了单元格边界
 * @param sourceRange
 * @param targetPos
 * @param draft
 */
export declare const canPastCell: (sourceRange: CellRange, targetPos: CellPos, draft: State) => boolean;
/**
 * 目标位置对应的区域是否满足源选中区域的单元格粘贴的条件
 *
 * 即对应区域的单元格是否有合并的单元格超出边界的情况
 *
 * @param sourceRange 源选中单元格区域
 * @param targetPos   目标位置
 * @param draft       当前布局状态
 */
export declare const checkCellRange: (targetPos: CellPos, sourceRange: CellRange, merges?: CellRange[]) => boolean;
