"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getNodeInfoByPoint;
var _printOutCore = /*#__PURE__*/require("@sinoform/print-out-core");
var _isCodeType = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("./isCodeType"));
/**
 * 获取指定位置的节点信息
 * @param editor
 * @param point
 * @returns
 */
function getNodeInfoByPoint(editor, point) {
  var children = editor.children;
  var row = point.path[0];
  var col = point.path[1];
  var currentNode = children[row].children[col];
  if ((0, _isCodeType.default)(editor, point)) {
    var codeBlocks = (0, _printOutCore.findAllCodes)(currentNode.text);
    return codeBlocks.find(function (block) {
      return point.offset >= block.start && point.offset <= block.end;
    });
  }
  return currentNode;
}