import type { Cells } from '@sinoform/types';
import type { Dispatch } from 'redux';
import type { CustomEditor as CustomEditorType } from '../dev';
import type { CellPos, CellRange } from '../reducer';
/**
 * 设置单元格文本样式的辅助函数
 *
 * @param editor 编辑器
 * @param dispatch
 * @param styleType 样式类型
 * @param styleValue 样式的值
 * @param rows 行数据
 * @param rows.len
 * @param merges 合并单元格集合
 * @param selectedRange 选中范围
 * @param editingCell 处于编辑状态的单元格
 * @returns
 */
export default function setCellTextStyleHelper(editor: CustomEditorType, dispatch: Dispatch, styleType: string, styleValue: string, rows: {
    [x: number]: {
        cells: Cells;
        height?: number;
    };
    len: number;
}, merges: [] | [[number, number], [number, number]][] | undefined, selectedRange: CellRange | undefined, editingCell?: CellPos): void;
